Authentication
Start authentication
POST
appIdheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
application/json- body
provider*stringValue in
"google""twitter""apple""email""siwe""siws"redirectUrl?stringFormat
uriemail?stringFormat
emailLength
length <= 254turnstileToken?stringearlyAccessCode?string200
application/json- response
type*stringValue in
"redirect""magic_link""nonce""challenge_required"url?stringsuccess?trueValue in
truenonce?stringstatement?stringsiteKey?stringcurl -X POST 'https://api.t.sufwankhalid.com/auth/start' \ -H 'Content-Type: application/json' \ -d '{ "provider": "google"}'Example Response
{ "type": "redirect", "url": "string", "success": true, "nonce": "string", "statement": "string", "siteKey": "string"}